/* eslint-env node, mocha */
const assert = require('assert');
const { AuthlessLowLevelClient } = require('../src');

describe('AuthlessLowLevelClient', () => {
  let authlessLowLevelClient;
  describe('new', () => {
    it('returns authlessLowLevelClient instance', () => {
      authlessLowLevelClient = new AuthlessLowLevelClient({
        retries: 1,
        uri: 'http://example.com:4000'
      });
      assert.equal(authlessLowLevelClient instanceof AuthlessLowLevelClient, true);
    });
  });
});
